[Overview][Classes][Index] | Reference for unit 'nullstream' (#fcl)

# TNullStream.Seek

Set current position in the stream

## Declaration

Source position: nullstream.pp line 42

`public function TNullStream.Seek(`
`const Offset: Int64;`
`Origin: TSeekOrigin`
`):Int64; override;`

## Arguments

`Offset` |  | Offset from origin, in bytes.
`Origin` |  | Origin of seek operation

## Function result

The new position

## Description

Seek sets the current position in the stream. It simulates this operation by keeping a "virtual" position. See #rtl.classes.TStream.Seek for more info about the arguments.

## Errors

If the requested operation would cause the position to fall outside of the allowed range (0 to Size) then a ENullStreamError exception is raised.

## See also

TNullStream.Read |  | Read null bytes from the stream
TNullStream.Write |  | Write to stream
#rtl.classes.TStream.Seek